#
# Conditional build:
%bcond_with	tests		# build without tests

# TODO:
# - runtime Requires if any

%define		kdeframever	6.13
%define		qtver		5.15.2
%define		kfname		attica
Summary:	A Qt library that implements the Open Collaboration Services API
Name:		kf6-%{kfname}
Version:	6.13.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	c12ac706d1f5b1cde0b65c7f8d74288f
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
%if %{with tests}
BuildRequires:	Qt6Test-devel >= %{qtver}
%endif
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
#Obsoletes:	kf5-%{kfname} < %{version}
Requires:	Qt6Core >= %{qtver}
Requires:	Qt6Network >= %{qtver}
Requires:	kf6-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Attica is a Qt library that implements the Open Collaboration Services
API version 1.6. The REST API is defined here:
<http://freedesktop.org/wiki/Specifications/open-collaboration-services-draft/>.

It grants easy access to the services such as querying information
about persons and contents. The library is used in KNewStuff3 as
content provider. In order to integrate with KDE's Plasma Desktop, a
platform plugin exists in kdebase.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
#Obsoletes:	kf5-%{kfname}-devel < %{version}
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Core-devel >= %{qtver}
Requires:	Qt6Network-devel >= %{qtver}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%{?with_tests:%ninja_build -C build test}


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_libdir}/libKF6Attica.so.*.*.*
%ghost %{_libdir}/libKF6Attica.so.6
%{_datadir}/qlogging-categories6/attica.categories
%{_datadir}/qlogging-categories6/attica.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6Attica.so
%{_includedir}/KF6/Attica
%{_libdir}/cmake/KF6Attica
%{_pkgconfigdir}/KF6Attica.pc
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-attica.git;a=log;h=master

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> cd045e3
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e75addc
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 626416b
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0bc32b4
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2ed26ed
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a37a719
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3940b82
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6a516d5
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 970ee69
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0e993a1
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> af911c3
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1be8762
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 77b3ee6
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7808f2a
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a6bc926
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bcd8040
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1c021e8
- updated to 5.249.0; rel 0.1

